cascading.tuple.hadoop.io

## Class KeyIndexTupleDeserializer

- java.lang.Object
- - cascading.tuple.hadoop.io.IndexTupleDeserializer<KeyIndexTuple>
  - - cascading.tuple.hadoop.io.KeyIndexTupleDeserializer

All Implemented Interfaces:
  org.apache.hadoop.io.serializer.Deserializer<KeyIndexTuple>

    public class KeyIndexTupleDeserializer
    extends IndexTupleDeserializer<KeyIndexTuple>

### Field Summary

### Fields inherited from class cascading.tuple.hadoop.io.IndexTupleDeserializer

`typeMap`

### Constructor Summary

Constructors
Constructor and Description
`KeyIndexTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)`

### Method Summary

Methods
`void` `close()`
`protected KeyIndexTuple` `createTuple()`
`protected java.lang.Class[]` `getTypesFor(int ordinal)`
`void` `open(java.io.InputStream in)`
`protected void` `setReaders(Fields fields)`

### Methods inherited from class cascading.tuple.hadoop.io.IndexTupleDeserializer

`deserialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyIndexTupleDeserializer

    public KeyIndexTupleDeserializer(TupleSerialization.SerializationElementReader elementReader)

### Method Detail

#### createTuple

    protected KeyIndexTuple createTuple()

Overrides:
  `createTuple` in class `IndexTupleDeserializer<KeyIndexTuple>`

#### getTypesFor

    protected java.lang.Class[] getTypesFor(int ordinal)

Overrides:
  `getTypesFor` in class `IndexTupleDeserializer<KeyIndexTuple>`

#### setReaders

    protected void setReaders(Fields fields)

#### open

    public void open(java.io.InputStream in)

Specified by:
  `open` in interface `org.apache.hadoop.io.serializer.Deserializer<T extends Tuple>`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `org.apache.hadoop.io.serializer.Deserializer<T extends Tuple>`
Throws:
  `java.io.IOException`